Name:                maven-release
Version:             2.2.1
Release:             1
Summary:             Release a project updating the POM and tagging in the SCM
License:             ASL 2.0
URL:                 http://maven.apache.org/plugins/maven-release-plugin/
BuildArch:           noarch
Source0:             https://repo1.maven.org/maven2/org/apache/maven/release/maven-release/2.2.1/maven-release-2.2.1-source-release.zip
Patch1:              002-mavenrelease-fixbuild.patch
Patch2:              003-fixing-migration-to-component-metadata.patch
Patch3:              %{name}-ftbfs.patch
Patch4:              %{name}-MNG-3954.patch
BuildRequires:       maven-local mvn(commons-cli:commons-cli) mvn(commons-lang:commons-lang)
BuildRequires:       mvn(jaxen:jaxen) mvn(org.apache.maven:maven-artifact)
BuildRequires:       mvn(org.apache.maven:maven-artifact-manager) mvn(org.apache.maven:maven-compat)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:       mvn(org.apache.maven:maven-parent:pom:) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven:maven-project) mvn(org.apache.maven:maven-settings)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.scm:maven-scm-api)
BuildRequires:       mvn(org.apache.maven.scm:maven-scm-provider-svn-commons)
BuildRequires:       mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:       mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:       mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:       mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:       mvn(org.codehaus.plexus:plexus-interactivity-api)
BuildRequires:       mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(org.jdom:jdom)
BuildRequires:       mvn(org.sonatype.plexus:plexus-sec-dispatcher)
%description
This plugin is used to release a project with Maven, saving a lot of
repetitive, manual work. Releasing a project is made in two steps:
prepare and perform.

%package manager
Summary:             Release a project updating the POM and tagging in the SCM
%description manager
This package contains %{name}-manager needed by %{name}-plugin.

%package plugin
Summary:             Release a project updating the POM and tagging in the SCM
%description plugin
This plugin is used to release a project with Maven, saving a lot of
repetitive, manual work. Releasing a project is made in two steps:
prepare and perform.

%package javadoc
Summary:             Javadoc for %{name}
Provides:            %{name}-manager-javadoc = %{version}-%{release}
Obsoletes:           %{name}-manager-javadoc <= 2.0-1
Provides:            %{name}-plugin-javadoc = %{version}-%{release}
Obsoletes:           %{name}-plugin-javadoc <= 2.0-1
%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
cat > README << EOT
%{name}-%{version}
This plugin is used to release a project with Maven, saving a lot of
repetitive, manual work. Releasing a project is made in two steps:
prepare and perform.
EOT

%build
%mvn_file :%{name}-manager %{name}-manager
%mvn_file :%{name}-plugin %{name}-plugin
%mvn_package :%{name}-manager manager
%mvn_package :%{name}-plugin plugin
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE README

%files manager -f .mfiles-manager
%doc LICENSE NOTICE

%files plugin -f .mfiles-plugin
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Wed Aug 5 2020 chengzihan <chengzihan2@huawei.com> - 2.2.1-1
- Package init
